### Method

# GObject SignalGroup connect_object

since: 2.72

#### Declaration

    void
    g_signal_group_connect_object (
      GSignalGroup* self,
      const gchar* detailed_signal,
      GCallback c_handler,
      gpointer object,
      GConnectFlags flags
    )

#### Description

Connects `c_handler` to the signal `detailed_signal` on `GSignalGroup:target`.

Ensures that the `object` stays alive during the call to `c_handler` by temporarily adding a reference count. When the `object` is destroyed the signal handler will automatically be removed.

You cannot connect a signal handler after `GSignalGroup:target` has been set.

Available since: 2.72

This method is not directly available to language bindings.

#### Parameters

`detailed_signal`

  Type: `const gchar*`

  A string of the form `signal-name` with optional `::signal-detail`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`c_handler`

  Type: `GCallback`

  The `GCallback` to connect.

`object`

  Type: `gpointer`

  The `GObject` to pass as data to `c_handler` calls.

  The data is owned by the caller of the method.

`flags`

  Type: `GConnectFlags`

  `GConnectFlags` for the signal connection.